Main Page Widgets Namespaces Book

# Gtk::RecentFilter::Info Class Reference

List of all members.

## Detailed Description

A RecentFilter::Info class is used to pass information about the tested file to filter().

- contains: Flags indicating which of the following fields need are filled
- uri: the URI of the file being tested
- display_name: the string that will be used to display the file in the recent chooser
- mime_type: the mime type of the file
- applications: the list of applications that have registered the file
- groups: the groups to which the file belongs to
- age: the number of days elapsed since the file has been registered

## Public Member Functions

| Info ()

## Public Attributes

int | age
std::list<Glib::ustring> | applications
RecentFilterFlags | contains
| This bitmask tells us which of the other variables contain useful information.
Glib::ustring | display_name
std::list<Glib::ustring> | groups
Glib::ustring | mime_type
Glib::ustring | uri

## Constructor & Destructor Documentation

Gtk::RecentFilter::Info::Info | ( |  | ) |

## Member Data Documentation

int Gtk::RecentFilter::Info::age

std::list<Glib::ustring> Gtk::RecentFilter::Info::applications

RecentFilterFlags Gtk::RecentFilter::Info::contains

| This bitmask tells us which of the other variables contain useful information.

Glib::ustring Gtk::RecentFilter::Info::display_name

std::list<Glib::ustring> Gtk::RecentFilter::Info::groups

Glib::ustring Gtk::RecentFilter::Info::mime_type

Glib::ustring Gtk::RecentFilter::Info::uri

The documentation for this class was generated from the following file:

- recentfilter.h